Page MenuHomePhabricator

Make PHPUnit tests pass with PHP 5.5/PostgreSQL on Travis CI
Closed, ResolvedPublic

Description

The current status of the tests can be viewed at https://travis-ci.org/wikimedia/mediawiki (PHP: 5.5, dbtype=postgres)

Details

Reference
bz73174

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Migrating from the old tracking task to a tag for PostgreSQL-related tasks.

Change 339594 had a related patch set uploaded (by Krinkle):
installer: Fix "relation 'user' does not exist" error for Postgres

https://gerrit.wikimedia.org/r/339594

After https://gerrit.wikimedia.org/r/339594 is landed, the following PHPUnit issues remain for the Postgres build:

https://travis-ci.org/Krinkle/mediawiki/jobs/204839310

There were 4 errors:
1) ApiQueryWatchlistIntegrationTest::testOwnerAndTokenParams
ApiUsageException: Incorrect watchlist token provided. Please set a correct token in [[Special:Preferences]].
/home/travis/build/Krinkle/mediawiki/includes/api/ApiUsageException.php:141
..
/home/travis/build/Krinkle/mediawiki/tests/phpunit/includes/api/ApiTestCase.php:99
/home/travis/build/Krinkle/mediawiki/tests/phpunit/includes/api/ApiQueryWatchlistIntegrationTest.php:171

2) LBFactoryTest::testNiceDomains
DBConnectionError: Cannot access the database: Unable to connect to PostgreSQL server: FATAL:  database "travis" does not exist
/home/travis/build/Krinkle/mediawiki/includes/libs/rdbms/database/Database.php:753
..
/home/travis/build/Krinkle/mediawiki/tests/phpunit/includes/db/LBFactoryTest.php:307

3) LBFactoryTest::testTrickyDomain
DBConnectionError: Cannot access the database: Unable to connect to PostgreSQL server: FATAL:  database "travis" does not exist
/home/travis/build/Krinkle/mediawiki/includes/libs/rdbms/database/Database.php:753
..
/home/travis/build/Krinkle/mediawiki/tests/phpunit/includes/db/LBFactoryTest.php:373

4) SpecialRecentchangesTest::testFilterUserExpLevel
DBQueryError: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: SELECT  user_name  FROM "unittest_mwuser"    WHERE (NOT ( (user_editcount >= 10) AND (user_registration <= 2017-02-20 03:22:49 GMT) )) AND user_email = 'ut'  
Function: Database::select
Error: 42601 ERROR:  syntax error at or near "03"
LINE 1: ...count >= 10) AND (user_registration <= 2017-02-20 03:22:49 G...
/home/travis/build/Krinkle/mediawiki/includes/libs/rdbms/database/Database.php:1059
/home/travis/build/Krinkle/mediawiki/includes/libs/rdbms/database/DatabasePostgres.php:251
..
/home/travis/build/Krinkle/mediawiki/tests/phpunit/includes/specials/SpecialRecentchangesTest.php:514

There were 22 failures:

1) PrefixSearchTest::testSearch with data set #1
2) PrefixSearchTest::testSearch with data set #11
3) PrefixSearchTest::testSearchWithOffset with data set #1
4) PrefixSearchTest::testSearchWithOffset with data set #11
5) WatchedItemIntegrationTest::testUpdateAndResetNotificationTimestamp
6) WatchedItemStoreIntegrationTest::testUpdateResetAndSetNotificationTimestamp
7) ApiMainTest::testAssert with data set #1
8) ApiMainTest::testAssert with data set #3
9) ApiSetNotificationTimestampIntegrationTest::testStuff
10) MediaWiki\Auth\LocalPasswordPrimaryAuthenticationProviderTest::testProviderChangeAuthenticationData with data set #1
11) MediaWiki\Auth\LocalPasswordPrimaryAuthenticationProviderTest::testProviderChangeAuthenticationData with data set #4
12) CategoryMembershipChangeTest::testChangeAddedWithRev
13) CategoryMembershipChangeTest::testChangeRemovedWithRev
14) NewUsersLogFormatterTest::testCreate2LogDatabaseRows with data set #0
15) NewUsersLogFormatterTest::testByemailLogDatabaseRows with data set #0
16) SearchEnginePrefixTest::testSearch with data set #1
17) SearchEnginePrefixTest::testSearchWithOffset with data set #1
18) BotPasswordTest::testSave with data set #0
19) BotPasswordTest::testSave with data set #1
20) UserGroupMembershipTest::testAddAndRemoveGroups
21) UserTest::testFindUsersByGroup
22) TextPassDumperDatabaseTest::testPrefetchPlain

Change 339594 merged by jenkins-bot:
installer: Fix "relation 'user' does not exist" error for Postgres

https://gerrit.wikimedia.org/r/339594

Change 352981 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Add missing addQuotes() to ChangesListSpecialPage

https://gerrit.wikimedia.org/r/352981

Change 352981 merged by jenkins-bot:
[mediawiki/core@master] Add missing addQuotes() to ChangesListSpecialPage

https://gerrit.wikimedia.org/r/352981

Remaining issues from https://travis-ci.org/wikimedia/mediawiki/jobs/230576812

PHPUnit - 3 errors
There were 3 errors:

1) LBFactoryTest::testNiceDomains
Wikimedia\Rdbms\DBConnectionError: Cannot access the database: Unable to connect to PostgreSQL server: FATAL:  database "travis" does not exist

/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:769
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/loadbalancer/LoadBalancer.php:995
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/loadbalancer/LoadBalancer.php:666
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/db/LBFactoryTest.php:307

2) LBFactoryTest::testTrickyDomain
Wikimedia\Rdbms\DBConnectionError: Cannot access the database: Unable to connect to PostgreSQL server: FATAL:  database "travis" does not exist
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:769
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/loadbalancer/LoadBalancer.php:995
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/loadbalancer/LoadBalancer.php:666
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/db/LBFactoryTest.php:373

3) ChangesListSpecialPageTest::testFilterUserExpLevel
Wikimedia\Rdbms\DBQueryError: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? Query: SELECT  user_name  FROM "unittest_mwuser"    WHERE (NOT ( (user_editcount >= 10) AND (user_registration <= 2017-05-06 00:48:38 GMT) )) AND user_email = 'ut'
Function: Wikimedia\Rdbms\Database::select Error: 42601 ERROR:  syntax error at or near "00" LINE 1: ...count >= 10) AND (user_registration <= 2017-05-06 00:48:38 G...
PHPUnit - 21 failures
There were 21 failures:
1) PrefixSearchTest::testSearch with data set #1
Main namespace with title prefix
--- Expected
+++ Actual
@@ @@
     0 => 'Example'
-    1 => 'Example/Baz'
-    2 => 'Example Bar'
+    1 => 'Example Bar'
+    2 => 'Example/Baz'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/PrefixSearchTest.php:219

2) PrefixSearchTest::testSearch with data set #1
Multinamespace search with lowercase first letter
--- Expected
+++ Actual
@@ @@
-    0 => 'Sandbox'
-    1 => 'NonCap:sandbox'
+    0 => 'NonCap:sandbox'
+    1 => 'Sandbox'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/PrefixSearchTest.php:219

3) PrefixSearchTest::testSearchWithOffset with data set #1
Main namespace with title prefix
--- Expected
+++ Actual
@@ @@
 Array (
-    0 => 'Example/Baz'
-    1 => 'Example Bar'
+    0 => 'Example Bar'
+    1 => 'Example/Baz'
     2 => 'Example Foo'
 )
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/PrefixSearchTest.php:246

4) PrefixSearchTest::testSearchWithOffset with data set #1
Multinamespace search with lowercase first letter
--- Expected
+++ Actual
@@ @@
 Array (
-    0 => 'NonCap:sandbox'
+    0 => 'Sandbox'
 )
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/PrefixSearchTest.php:246

5) WatchedItemIntegrationTest::testUpdateAndResetNotificationTimestamp
--- Expected
+++ Actual
@@ @@
-'20150202010101'
+'2015-02-02 01:01:01+00'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/WatchedItemIntegrationTest.php:64

6) WatchedItemStoreIntegrationTest::testUpdateResetAndSetNotificationTimestamp
--- Expected
+++ Actual
@@ @@
-'20150202010101'
+'2015-02-02 01:01:01+00'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/WatchedItemStoreIntegrationTest.php:123

7) ApiMainTest::testAssert with data set #1
Failed asserting that false is true.
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/api/ApiMainTest.php:60

8) ApiMainTest::testAssert with data set #3
Failed asserting that false is true.
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/api/ApiMainTest.php:60

9) ApiSetNotificationTimestampIntegrationTest::testStuff
--- Expected
+++ Actual
@@ @@
 Array (
     0 => Array (
-        'UTPage' => '2016-01-01 02:02:02+00'
+        'UTPage' => '20160101020202'
     )
 )
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/api/ApiSetNotificationTimestampIntegrationTest.php:49

10) MediaWiki\Auth\LocalPasswordPrimaryAuthenticationProviderTest::testProviderChangeAuthenticationData with data set #1
--- Expected
+++ Actual
@@ @@
-30001231235959
+3000-12-31 23:59:59+00
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/auth/LocalPasswordPrimaryAuthenticationProviderTest.php:513

11) MediaWiki\Auth\LocalPasswordPrimaryAuthenticationProviderTest::testProviderChangeAuthenticationData with data set #4
--- Expected
+++ Actual
@@ @@
-30001231235959
+3000-12-31 23:59:59+00
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/auth/LocalPasswordPrimaryAuthenticationProviderTest.php:513

12) CategoryMembershipChangeTest::testChangeAddedWithRev
--- Expected
+++ Actual
@@ @@
-'127.0.0.1'
+'127.0.0.1/32'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/changes/CategoryMembershipChangeTest.php:131

13) CategoryMembershipChangeTest::testChangeRemovedWithRev
--- Expected
+++ Actual
@@ @@
-'127.0.0.1'
+'127.0.0.1/32'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/changes/CategoryMembershipChangeTest.php:152

14) NewUsersLogFormatterTest::testCreate2LogDatabaseRows with data set #0
Action text is equal to expected text
--- Expected
+++ Actual
@@ @@
-'User account UTSysop was created by User'
+'User account 127.0.0.1 was created by User'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/logging/LogFormatterTestCase.php:18
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/logging/NewUsersLogFormatterTest.php:129

15) NewUsersLogFormatterTest::testByemailLogDatabaseRows with data set #0
Action text is equal to expected text
--- Expected
+++ Actual
@@ @@
-'User account UTSysop was created by Sysop and password was sent by email'
+'User account 127.0.0.1 was created by Sysop and password was sent by email'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/logging/LogFormatterTestCase.php:18
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/logging/NewUsersLogFormatterTest.php:167

16) SearchEnginePrefixTest::testSearch with data set #1
Main namespace with title prefix
--- Expected
+++ Actual
@@ @@
 Array (
     0 => 'Example'
-    1 => 'Example/Baz'
-    2 => 'Example Bar'
+    1 => 'Example Bar'
+    2 => 'Example/Baz'
 )
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/search/SearchEnginePrefixTest.php:190

17) SearchEnginePrefixTest::testSearchWithOffset with data set #1
Main namespace with title prefix
--- Expected
+++ Actual
@@ @@
 Array (
-    0 => 'Example/Baz'
-    1 => 'Example Bar'
+    0 => 'Example Bar'
+    1 => 'Example/Baz'
     2 => 'Example Foo'
 )
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/search/SearchEnginePrefixTest.php:215

18) BotPasswordTest::testSave with data set #0
Failed asserting that true is false.
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/user/BotPasswordTest.php:385

19) BotPasswordTest::testSave with data set #1
sanity check
Failed asserting that BotPassword Object is null.
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/user/BotPasswordTest.php:365

20) UserGroupMembershipTest::testAddAndRemoveGroups
Failed asserting that true is false.
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/user/UserGroupMembershipTest.php:66


21) TextPassDumperDatabaseTest::testPrefetchPlain
Text of revision 697
--- Expected
+++ Actual
@@ @@
-'Prefetch_________1Text1'
+'BackupDumperTestP1Text1'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/maintenance/DumpTestCase.php:403
/home/travis/build/wikimedia/mediawiki/tests/phpunit/maintenance/backupTextPassTest.php:203

Change 352992 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Fix some postgres test failures

https://gerrit.wikimedia.org/r/352992

demon added a subscriber: demon.May 10 2017, 1:28 AM

The PrefixSearch ones, I wonder if order matters at all, as long as we're getting the same results?

Change 352993 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Make loadWatchedItem() coerce the DB timestamp to TS_MW

https://gerrit.wikimedia.org/r/352993

Change 353003 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Avoid assuming a user with ID 0 exists in ApiMainTest::testAssert

https://gerrit.wikimedia.org/r/353003

Change 353004 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Make LocalPasswordPrimaryAuthenticationProviderTest use TS_MW timestamp conversion

https://gerrit.wikimedia.org/r/353004

Change 353006 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Avoid postgres CategoryMembershipChangeTest failures

https://gerrit.wikimedia.org/r/353006

Change 353003 merged by jenkins-bot:
[mediawiki/core@master] Avoid assuming a user with ID 0 exists in ApiMainTest::testAssert

https://gerrit.wikimedia.org/r/353003

Change 352993 merged by jenkins-bot:
[mediawiki/core@master] Make loadWatchedItem() coerce the DB timestamp to TS_MW

https://gerrit.wikimedia.org/r/352993

Change 352992 merged by jenkins-bot:
[mediawiki/core@master] Fix some postgres test failures

https://gerrit.wikimedia.org/r/352992

Change 353004 merged by jenkins-bot:
[mediawiki/core@master] Make LocalPasswordPrimaryAuthenticationProviderTest use TS_MW timestamp conversion

https://gerrit.wikimedia.org/r/353004

Change 353006 merged by jenkins-bot:
[mediawiki/core@master] Avoid postgres CategoryMembershipChangeTest failures

https://gerrit.wikimedia.org/r/353006

Change 354274 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Remove order requirement for SearchEnginePrefixTest tests

https://gerrit.wikimedia.org/r/354274

Change 354082 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Various test fixes for postgres

https://gerrit.wikimedia.org/r/354082

Change 354264 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Use test user helper methods in UserGroupMembershipTest/UserTest

https://gerrit.wikimedia.org/r/354264

Change 354376 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Avoid postgres PrefixSearchTest failures due to collation differences

https://gerrit.wikimedia.org/r/354376

Change 354376 merged by jenkins-bot:
[mediawiki/core@master] Avoid postgres PrefixSearchTest failures due to collation differences

https://gerrit.wikimedia.org/r/354376

Change 354082 merged by jenkins-bot:
[mediawiki/core@master] Various test fixes for postgres

https://gerrit.wikimedia.org/r/354082

Change 354264 merged by jenkins-bot:
[mediawiki/core@master] Use test user helper methods in UserGroupMembershipTest/UserTest

https://gerrit.wikimedia.org/r/354264

Change 354274 merged by jenkins-bot:
[mediawiki/core@master] Avoid SearchEnginePrefixTest postgres failures

https://gerrit.wikimedia.org/r/354274

Remaining issues from https://travis-ci.org/wikimedia/mediawiki/jobs/230576812

PHPUnit - 3 errors
There were 3 errors: ...
PHPUnit - 21 failures
There were 21 failures: ...

As of now, at https://travis-ci.org/wikimedia/mediawiki/jobs/235931336, only 1 failure left:

PHPUnit - 1 failure
1) TextPassDumperDatabaseTest::testPrefetchPlain
Text of revision 702
Failed asserting that two strings are equal.
--- Expected
+++ Actual
@@ @@
-'Prefetch_________1Text1'
+'BackupDumperTestP1Text1'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/maintenance/DumpTestCase.php:403
/home/travis/build/wikimedia/mediawiki/tests/phpunit/maintenance/DumpTestCase.php:365
/home/travis/build/wikimedia/mediawiki/tests/phpunit/maintenance/backupTextPassTest.php:203
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:402
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:111

Change 355867 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Fix TextPassDumperDatabaseTest::testPrefetchPlain postgres failures

https://gerrit.wikimedia.org/r/355867

Change 355867 merged by jenkins-bot:
[mediawiki/core@master] Fix TextPassDumperDatabaseTest::testPrefetchPlain postgres failures

https://gerrit.wikimedia.org/r/355867

aaron closed this task as Resolved.May 26 2017, 10:44 PM
aaron claimed this task.

Mass-moving all items tagged for MediaWiki 1.30.0-wmf.3, as that was never released; instead, we're using -wmf.4.

Change 359245 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] build: Remove Travis CI allow_failure for Postgres

https://gerrit.wikimedia.org/r/359245

Change 359245 merged by jenkins-bot:
[mediawiki/core@master] build: Remove Travis CI allow_failure for Postgres

https://gerrit.wikimedia.org/r/359245

Krinkle reopened this task as Open.EditedJul 29 2017, 12:24 AM

Two failures:

  • ENUM being incomplete and failing Upload and Search unit tests. See T157348.
  • ChangesListSpecialPageTest::testFilterUserExpLevelUnregistreredOrExperienced (rc conditions: userExpLevel=unregistered;experienced)
Failed asserting that '(rc_user = 0) OR ((user_editcount >= 500) AND (user_registration <= '2017-06-29 00:17:47 GMT'))' matches PCRE pattern "/\(rc_user = 0\) OR \(\(user_editcount >= 500\) AND \(user_registration <= '\d+'\)\)/".

Introduced by rMW0b3ea6e1abd3: RC Filters: combine user registration and experience level filters / T165160: Unify the "user registration" and "experience level" groups

Krinkle added a comment.EditedJul 29 2017, 12:27 AM

Two failures:

  • ENUM being incomplete and failing Upload and Search unit tests. See T157348.

Fixed as of https://gerrit.wikimedia.org/r/366563 / rMW6260545feee3: Follow-up to '3D' file type addition.

Change 368532 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Follow-up 0b3ea6e1ab: use more flexible regex for timestamp in ChangesListSpecialPageTest

https://gerrit.wikimedia.org/r/368532

Change 368532 merged by jenkins-bot:
[mediawiki/core@master] Follow-up 0b3ea6e1ab: use more flexible regex for timestamp in ChangesListSpecialPageTest

https://gerrit.wikimedia.org/r/368532

Krinkle closed this task as Resolved.Jul 29 2017, 1:32 AM

Thanks. And confirmed on Travis. All-green again :)

Krinkle reopened this task as Open.EditedOct 6 2017, 7:36 PM

We regressed again. Due to a bug with the exit code (T177414) it's a bit tricky to find when it regressed actually.

https://travis-ci.org/wikimedia/mediawiki/jobs/283543802

Error from https://travis-ci.org/Krinkle/mediawiki/jobs/284409804 (with debug settings enabled, per T177669)

log
Using PHP 5.5.38
PHPUnit 4.8.35 by Sebastian Bergmann and contributors.

..........................[8620a50a318f6ba4182b9b67] [no req]   Wikimedia\Rdbms\DBQueryError from line 1167 of mediawiki/includes/libs/rdbms/database/Database.php: A database query error has occurred.
Query: DELETE FROM "unittest_ip_changes"
Function: MediaWikiTestCase::resetDB
Error: 42P01 ERROR:  relation "unittest_ip_changes" does not exist
LINE 1: ...aWikiTestCase::resetDB travis@testing-... */ FROM "unittest_...
                                                             ^
Backtrace:
#0 mediawiki/includes/libs/rdbms/database/DatabasePostgres.php(262): Wikimedia\Rdbms\Database->reportQueryError(string, string, string, string, boolean)
#1 mediawiki/includes/libs/rdbms/database/Database.php(979): Wikimedia\Rdbms\DatabasePostgres->reportQueryError(string, string, string, string, boolean)
#2 mediawiki/includes/libs/rdbms/database/Database.php(2389): Wikimedia\Rdbms\Database->query(string, string)
#3 mediawiki/tests/phpunit/MediaWikiTestCase.php(1329): Wikimedia\Rdbms\Database->delete(string, string, string)
#4 mediawiki/tests/phpunit/MediaWikiTestCase.php(419): MediaWikiTestCase->resetDB(Wikimedia\Rdbms\DatabasePostgres, array)
aaron removed aaron as the assignee of this task.Oct 12 2017, 9:38 PM
aaron added a subscriber: aaron.

The above error was fixed by https://gerrit.wikimedia.org/r/#/c/394145/ (70951d1971; T177258)

https://travis-ci.org/wikimedia/mediawiki/jobs/309193156

Remaining errors:

There were 2 failures:
1) RevisionContentHandlerDbTest::testInsertOn
Failed asserting that two strings are equal.
--- Expected
+++ Actual
@@ @@
-'20171129213554'
+'2017-11-29 21:35:54+00'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/RevisionDbTestBase.php:563
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:95
2) RevisionNoContentHandlerDbTest::testInsertOn
Failed asserting that two strings are equal.
--- Expected
+++ Actual
@@ @@
-'20171129213612'
+'2017-11-29 21:36:12+00'
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/RevisionDbTestBase.php:563
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:95

Looks like some of @Addshore's recently-added tests need some dates converted to or from database format for comparison. For MySQL database format is TS_MW, which other code tends to use as a general representation, but for others (e.g. PostgreSQL) it's different.

Change 394305 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] Convert timestamp from DB in RevisionDbTestBase::testInsertOn

https://gerrit.wikimedia.org/r/394305

Change 394305 merged by jenkins-bot:
[mediawiki/core@master] Convert timestamp from DB in RevisionDbTestBase::testInsertOn

https://gerrit.wikimedia.org/r/394305

3 remaining errors with ImportTest

There were 3 errors:
1) ImportTest::testUnknownUserHandling with data set "no assign" (false, false)
Wikimedia\Rdbms\DBQueryError: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: SELECT  rev_user,rev_user_text  FROM "unittest_revision"    WHERE rev_timestamp = '20160101000000'  LIMIT 1  
Function: ImportTest::testUnknownUserHandling
Error: 22007 ERROR:  invalid input syntax for type timestamp with time zone: "20160101000000"
LINE 1: ...FROM "unittest_revision"    WHERE rev_timestamp = '201601010...
                                                             ^
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1179
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/DatabasePostgres.php:262
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:991
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1374
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1442
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/import/ImportTest.php:299
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:95
2) ImportTest::testUnknownUserHandling with data set "assign, no create" (true, false)
Wikimedia\Rdbms\DBQueryError: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: SELECT  rev_user,rev_user_text  FROM "unittest_revision"    WHERE rev_timestamp = '20160101010000'  LIMIT 1  
Function: ImportTest::testUnknownUserHandling
Error: 22007 ERROR:  invalid input syntax for type timestamp with time zone: "20160101010000"
LINE 1: ...FROM "unittest_revision"    WHERE rev_timestamp = '201601010...
                                                             ^
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1179
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/DatabasePostgres.php:262
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:991
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1374
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1442
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/import/ImportTest.php:299
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:95
3) ImportTest::testUnknownUserHandling with data set "assign, create" (true, true)
Wikimedia\Rdbms\DBQueryError: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: SELECT  rev_user,rev_user_text  FROM "unittest_revision"    WHERE rev_timestamp = '20160101030000'  LIMIT 1  
Function: ImportTest::testUnknownUserHandling
Error: 22007 ERROR:  invalid input syntax for type timestamp with time zone: "20160101030000"
LINE 1: ...FROM "unittest_revision"    WHERE rev_timestamp = '201601010...
                                                             ^
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1179
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/DatabasePostgres.php:262
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:991
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1374
/home/travis/build/wikimedia/mediawiki/includes/libs/rdbms/database/Database.php:1442
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/import/ImportTest.php:299
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:95

Change 394321 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Fix timestamps in ImportTest

https://gerrit.wikimedia.org/r/394321

Change 394321 merged by jenkins-bot:
[mediawiki/core@master] Fix timestamps in ImportTest

https://gerrit.wikimedia.org/r/394321

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 30 2017, 4:06 PM

Change 427677 had a related patch set uploaded (by Hashar; owner: Aaron Schulz):
[mediawiki/core@REL1_29] Add missing addQuotes() to ChangesListSpecialPage

https://gerrit.wikimedia.org/r/427677

Change 427677 merged by jenkins-bot:
[mediawiki/core@REL1_29] Add missing addQuotes() to ChangesListSpecialPage

https://gerrit.wikimedia.org/r/427677